curl -X POST 'https://graph.facebook.com/<API_VERSION>/<WABA_ID>/subscribed_apps' \ -H 'Authorization: Bearer <ACCESS_TOKEN>'
{ "success": true }
subscribed_apps endpoint on the WABA:GET https://graph.facebook.com/<API_VERSION>/<WABA_ID>/subscribed_apps
curl \
'https://graph.facebook.com/v25.0/102289599326934/subscribed_apps' \
-H 'Authorization: Bearer EAAJi...'
{ "data" : [ { "whatsapp_business_api_data" : { "id" : "67084...", "link" : "https://www.facebook.com/games/?app_id=67084...", "name" : "Jaspers Market" } }, { "whatsapp_business_api_data" : { "id" : "52565...", "link" : "https://www.facebook.com/games/?app_id=52565...", "name" : "Jaspers Fresh Finds" } } ] }
subscribed_apps endpoint on the WABA.DELETE https://graph.facebook.com/<API_VERSION>/<WABA_ID>/subscribed_apps
curl -X DELETE \
'https://graph.facebook.com/v25.0/102289599326934/subscribed_apps' \
-H 'Authorization: Bearer EAAJi...'
{ "success" : true }
| Field name | Description |
|---|---|
The account_alerts webhook notifies you of changes to a business phone number’s messaging limit, business profile, and Official Business Account status. | |
The account_review_update webhook notifies you when a WhatsApp Business Account has been reviewed against our policy guidelines. | |
The account_update webhook notifies of changes to a WhatsApp Business Account’s partner-led business verification submission, its authentication-international rate eligibility, or primary business location, when it is shared with a Solution Partner, policy or terms violations, offboarding, reconnection, or when it is deleted. | |
The automatic_events webhook notifies you when we detect a purchase or lead event in a chat thread between you and a WhatsApp user who has messaged you via your Click to WhatsApp ad, if you have opted-in to Automatic Events reporting. | |
The business_capability_update webhook notifies you of WhatsApp Business Account or business portfolio capability changes (messaging limits, phone number limits, etc.). | |
The history webhook is used to synchronize the WhatsApp Business app chat history of a business customer onboarded by a solution provider. | |
The message_template_components_update webhook notifies you of changes to a template’s components. | |
The message_template_quality_update webhook notifies you of changes to a template’s quality score. | |
The message_template_status_update webhook notifies you of changes to the status of an existing template. | |
The messages webhook describes messages sent from a WhatsApp user to a business and the status of messages sent by a business to a WhatsApp user. | |
The partner_solutions webhook describes changes to the status of a Multi-Partner Solution. | |
The payment_configuration_update webhook notifies you of changes to payment configurations for Payments API India and Payments API Brazil. | |
The phone_number_name_update webhook notifies you of business phone number display name verification outcomes. | |
The phone_number_quality_update webhook notifies you of changes to a business phone number’s throughput level. | |
The security webhook notifies you of changes to a business phone number’s security settings. | |
The smb_app_state_sync webhook is used for synchronizing contacts of WhatsApp Business app users who have been onboarded via a solution provider. | |
The smb_message_echoes webhook notifies you of messages sent via the WhatsApp Business app or a companion (“linked”) device by a business customer who has been onboarded to Cloud API via a solution provider. | |
The template_category_update webhook notifies you of changes to template’s category. | |
The user_preferences webhook notifies you of changes to a WhatsApp user’s marketing message preferences. |
event set to PARTNER_ADDED when a business customer successfully completes the Embedded Signup flow.{ "entry": [ { "id": "<BUSINESS_PORTFOLIO_ID>", "time": <WEBHOOK_SENT_TIMESTAMP>, "changes": [ { "value": { "event": "<EVENT>", "waba_info": { "waba_id": "<CUSTOMER_WABA_ID>", "owner_business_id": "<CUSTOMER_BUSINESS_PORTFOLIO_ID>" } }, "field": "account_update" } ] } ], "object": "whatsapp_business_account" }
{ "entry": [ { "id": "35602282435505", "time": 1731617831, "changes": [ { "value": { "event": "PARTNER_ADDED", "waba_info": { "waba_id": "495709166956424", "owner_business_id": "942647313864044" } }, "field": "account_update" } ] } ], "object": "whatsapp_business_account" }
{ "object": "whatsapp_business_account", "entry": [ { "id": "495709166956424", "time": 1731617831, "changes": [ { "field": "phone_number_name_update", "value": { "display_phone_number": "124545784358810", "decision": "APPROVED", "requested_verified_name": "WhatsApp", "rejection_reason": null } } ] } ] }
{ "object": "whatsapp_business_account", "entry": [ { "id": "495709166956424", "time": 1731617831, "changes": [ { "field": "phone_number_quality_update", "value": { "display_phone_number": "124545784358810", "event": "FLAGGED", "current_limit": "TIER_10K" } } ] } ] }
{ "object": "whatsapp_business_account", "entry": [ { "id": "495709166956424", "time": 1731617831, "changes": [ { "field": "account_update", "value": { "phone_number": "124545784358810", "event": "VERIFIED_ACCOUNT" } } ] } ] }
{ "object": "whatsapp_business_account", "entry": [ { "id": "495709166956424", "time": 1731617831, "changes": [ { "field": "account_update", "value": { "event": "DISABLED_UPDATE" "ban_info": { "waba_ban_state": ["SCHEDULE_FOR_DISABLE", "DISABLE", "REINSTATE"], "waba_ban_date": "DATE" } } } ] } ] }
{ "object": "whatsapp_business_account", "entry": [ { "id": "495709166956424", "time": 1731617831, "changes": [ { "field": "account_review_update", "value": { "decision": "APPROVED" } } ] } ] }
{ "entry": [ { "id": "495709166956424", "time": 1731617831, "changes": [ { "value": { "event": "APPROVED", "message_template_id": 64244916695, "message_template_name": "Summer 20 Template", "message_template_language": "en_US", "reason": "NONE" }, "field": "message_template_status_update" } ] } ], "object": "whatsapp_business_account" }